summarylogtreecommitdiffstats
path: root/php-humbug-box.install
diff options
context:
space:
mode:
authorStefan Auditor2020-01-10 16:04:57 +0100
committerStefan Auditor2020-01-10 16:04:57 +0100
commit061dcf3973c91679609fd5957b352fc62942e2d1 (patch)
treed6f1b5c5ed98f8c7ba9ca450c3a86ca89e10fb2e /php-humbug-box.install
downloadaur-061dcf3973c91679609fd5957b352fc62942e2d1.tar.gz
Initial import
Diffstat (limited to 'php-humbug-box.install')
-rw-r--r--php-humbug-box.install17
1 files changed, 17 insertions, 0 deletions
diff --git a/php-humbug-box.install b/php-humbug-box.install
new file mode 100644
index 00000000000..d370a14b001
--- /dev/null
+++ b/php-humbug-box.install
@@ -0,0 +1,17 @@
+post_install() {
+ echo
+ echo "php-humbug-box is installed as executable 'box'."
+ if ! /usr/bin/php -i | grep Phar >/dev/null; then
+ echo
+ echo "[WARNING] the Phar extension of php must be enabled."
+ echo "[WARNING] check if the line extension=phar.so is commented out in your php.ini"
+ fi
+ if ! /usr/bin/php -i | grep 'phar.readonly.*Off.*' >/dev/null; then
+ echo
+ echo "[WARNING] the phar.readonly option of php must be set to 'Off'."
+ fi
+}
+
+post_upgrade() {
+ post_install
+} \ No newline at end of file